Bug 1301248 - [abrt] kde-connect: QBasicAtomicOps<8>::testAndSetRelaxed<QMutexData*>(): kdeconnectd killed by SIGSEGV
[abrt] kde-connect: QBasicAtomicOps<8>::testAndSetRelaxed<QMutexData*>(): kde...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-connect (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e4288b2e8d6731caa6df1793131...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 20:25 EST by Daniel
Modified: 2016-12-20 13:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:05:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.16 KB, text/plain)
2016-01-22 20:25 EST, Daniel
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-22 20:25 EST, Daniel
no flags Details
File: core_backtrace (9.62 KB, text/plain)
2016-01-22 20:25 EST, Daniel
no flags Details
File: dso_list (16.25 KB, text/plain)
2016-01-22 20:25 EST, Daniel
no flags Details
File: environ (1.54 KB, text/plain)
2016-01-22 20:25 EST, Daniel
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-22 20:25 EST, Daniel
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-22 20:25 EST, Daniel
no flags Details
File: maps (72.31 KB, text/plain)
2016-01-22 20:25 EST, Daniel
no flags Details
File: mountinfo (3.15 KB, text/plain)
2016-01-22 20:25 EST, Daniel
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-22 20:25 EST, Daniel
no flags Details
File: open_fds (1.38 KB, text/plain)
2016-01-22 20:26 EST, Daniel
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-01-22 20:26 EST, Daniel
no flags Details
File: var_log_messages (343 bytes, text/plain)
2016-01-22 20:26 EST, Daniel
no flags Details

  None (edit)
Description Daniel 2016-01-22 20:25:39 EST
Version-Release number of selected component:
kde-connect-0.9-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/kdeconnectd
crash_function: QBasicAtomicOps<8>::testAndSetRelaxed<QMutexData*>
executable:     /usr/libexec/kdeconnectd
global_pid:     1518
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QBasicAtomicOps<8>::testAndSetRelaxed<QMutexData*> at ../../src/corelib/arch/qatomic_x86.h:259
 #1 QGenericAtomicOps<QBasicAtomicOps<8> >::testAndSetAcquire<QMutexData*, QMutexData*> at ../../src/corelib/thread/qgenericatomic.h:166
 #2 QBasicAtomicPointer<QMutexData>::testAndSetAcquire at ../../src/corelib/thread/qbasicatomic.h:278
 #3 QBasicMutex::fastTryLock at thread/qmutex.h:82
 #4 QMutex::lock at thread/qmutex.cpp:212
 #5 QCoreApplication::postEvent at kernel/qcoreapplication.cpp:1346
 #6 QObject::deleteLater at kernel/qobject.cpp:2121
 #7 BatteryDbusInterface::BatteryDbusInterface at /usr/src/debug/kdeconnect-kde-0.9g/plugins/battery/batterydbusinterface.cpp:41
 #8 BatteryPlugin::BatteryPlugin at /usr/src/debug/kdeconnect-kde-0.9g/plugins/battery/batteryplugin.cpp:36
 #9 KPluginFactory::createInstance<BatteryPlugin, QObject> at /usr/include/KF5/KCoreAddons/kpluginfactory.h:477
Comment 1 Daniel 2016-01-22 20:25:46 EST
Created attachment 1117367 [details]
File: backtrace
Comment 2 Daniel 2016-01-22 20:25:47 EST
Created attachment 1117368 [details]
File: cgroup
Comment 3 Daniel 2016-01-22 20:25:48 EST
Created attachment 1117369 [details]
File: core_backtrace
Comment 4 Daniel 2016-01-22 20:25:50 EST
Created attachment 1117370 [details]
File: dso_list
Comment 5 Daniel 2016-01-22 20:25:52 EST
Created attachment 1117371 [details]
File: environ
Comment 6 Daniel 2016-01-22 20:25:53 EST
Created attachment 1117372 [details]
File: exploitable
Comment 7 Daniel 2016-01-22 20:25:54 EST
Created attachment 1117373 [details]
File: limits
Comment 8 Daniel 2016-01-22 20:25:57 EST
Created attachment 1117374 [details]
File: maps
Comment 9 Daniel 2016-01-22 20:25:58 EST
Created attachment 1117375 [details]
File: mountinfo
Comment 10 Daniel 2016-01-22 20:25:59 EST
Created attachment 1117376 [details]
File: namespaces
Comment 11 Daniel 2016-01-22 20:26:01 EST
Created attachment 1117377 [details]
File: open_fds
Comment 12 Daniel 2016-01-22 20:26:02 EST
Created attachment 1117378 [details]
File: proc_pid_status
Comment 13 Daniel 2016-01-22 20:26:04 EST
Created attachment 1117379 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:07:30 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:05:32 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.